%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

%global goipath         github.com/syndtr/goleveldb
Version:                1.0.0
%global commit          5c35d600f0caac04c20d52438103f1a7aa612598

%gometa

%global common_description %{expand:
This is an implementation of the LevelDB key/value database in the Go
programming language.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Leveldb key/value database in Go

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/ginkgo/config)
BuildRequires:  golang(github.com/onsi/gomega)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
